package com.circuitengine.model.Components;

import java.awt.Graphics;

import com.circuitengine.model.TiePoint;

/*AUTHORS:

- Kevin Stueve (2009-12-20): initial published version
#*****************************************************************************
#       Copyright (C) 2009 Kevin Stueve kstueve@uw.edu
#
#  Distributed under the terms of the GNU General Public License (GPL)
#                  http://www.gnu.org/licenses/
#*****************************************************************************
*/
public final class Wire extends ElectricComponent {
  public Wire(int x, int y){
    super(x,y);
  }
  public void draw(Graphics g) {
    super.draw(g);
    g.drawLine(head.getX(), head.getY(), tail.getX(), tail.getY());
    //the_graphics.fillOval(head.getX() - 1, head.getY() - 1, 3, 3);
    //the_graphics.fillOval(tail.getX() - 1, tail.getY() - 1, 3, 3);
  }
}
